Skip to main content
POST
List a conversation's event history

Path Parameters

conversationId
string
required

The ID of the conversation.

Body

Pagination, filtering, and sorting options.

Options for flexible, efficient, and explicit querying in Cosmos DB or similar repositories.

pageSize

Maximum items to return in one page

continuationToken
null | string

Opaque Cosmos DB continuation token. ‑ on the first request. ‑ Client must echo back the NextToken it received from the previous page.

orderBy
null | object[]

List of sort instructions, in priority order.

includeCount
null | boolean

Whether to include the total count in the response (for pagination).

search
null | string

The search term to filter results (applied to ).

searchFields
null | string[]

The list of fields to apply the Search term to (must be string properties).

filters
null | object[]

Key-value exact match filters (e.g., Status = Active).

rangeFilters
null | object[]

Advanced range-based filters (e.g., Price > 50 and Price <= 200).

Response

Events for the conversation were successfully retrieved.

A generic container for paginated results returned to the client.

items
object[]

The subset of items returned for the current page.

pageSize

The number of items returned per page in the response. This may reflect the client's requested page size, or a server-defined default or limit.

totalCount

The total number of items that match the query across all pages. May be null if the count is not computed or not applicable (e.g., in continuation-based pagination).

continuationToken
null | string

Opaque storage continuation token. ‑ null → the current page was the last page.

Last modified on August 11, 2026